%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/tribe
#  cvs login
#  cvs export -r tribe-0_3 tribe

Name:		tribe
Summary:	Java-based group communication library
Version: 	0.3
Release:	1jpp_1rh
Epoch:		0
URL: 		http://tribe.objectweb.org/
License: 	LGPL
Group: 		Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source: 	%{name}-%{version}.tgz
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	junit >= 3.8.1 
BuildRequires:	jgroups >= 2.2.7
BuildRequires:	log4j >= 1.2.8
BuildRequires:	xalan-j2 >=  2.6.0
BuildRequires:	xerces-j2 >= 2.7.1
Requires:		jgroups >= 2.2.7
Requires:		log4j >= 1.2.8
Requires:		xalan-j2 >=  2.6.0
Requires:		xerces-j2 >= 2.7.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Tribe is a Java-based group communication library. It is based on reliable 
point-to-point FIFO communication channels (basically TCP) and targets high 
performance cluster environments. 

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Summary:    Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}	
Group:      Development/Documentation

%description demo
Demo package for %{name}.

%prep
%setup -q -n %{name}

pushd src >& /dev/null

find . -name '*.?ar' | xargs rm -f

build-jar-repository lib \
    junit \
    log4j \
    jgroups

build-jar-repository lib \
	xalan-j2 \
	xerces-j2

popd >& /dev/null

%build
pushd src >& /dev/null

unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar javadoc

popd >& /dev/null

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 src/build/jar/%{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demos
install -m 644 src/build/jar/%{name}-demos-%{version}.jar \
	 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demos

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr src/build/doc/api/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Nov 09 2005 Fernando Nasser <fnasser@redhat.com> 0:0.3-1jpp_1rh
- First Red Hat build

* Thu Nov 03 2005 Deepak Bhole <dbhole@redhat.com> 0:0.3-1jpp
- Initial build.

